Authorization: Bearer ********************curl --location --request POST 'connections' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"name": "Hive Tes5",
"connectionPlatform": "HIVE",
"is_enabled": "ENABLED",
"payload": {
"type": "hive",
"host": "hive-server-hostname",
"port": 10000,
"database": "default",
"username": "hive_user",
"password": "hive_password",
"auth": "NONE",
"path": "/user/hive/warehouse"
}
}'{
"message": "Connection created successfully",
"connection": {
"id": "f13f1d10-69f1-4ae8-b834-4180ee09fb60",
"name": "Hive Tes5",
"description": null,
"connectionType": "PUBLIC",
"connectionPlatform": "HIVE",
"payload": {
"auth": "NONE",
"host": "hive-server-hostname",
"path": "/user/hive/warehouse",
"port": 10000,
"type": "hive",
"database": "default",
"password": "hive_password",
"username": "hive_user"
},
"status": "ACTIVE",
"is_enabled": "ENABLED",
"createdAt": "2026-03-03T06:48:47.943Z",
"updatedAt": "2026-03-03T06:48:47.943Z",
"createdBy": {
"id": "00000000-0000-0000-0000-000000000001",
"email": "admin@spark.local",
"name": "Default Admin"
},
"members": []
}
}